<?php
namespace Modules\Partners\Customers\Deduplicate;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			->append(\App\Mvc\View\Utils\RowOptions\Option\Option::create("pickNext")
				->setDescription($this->lang['index']['options']['buttons']['pickNext'])
				->setIcon('goToNext')
				->setJsCallback('MVC.listing.installedHandlers.listing.pickNextSuggestion({});')
				->setSection('global')
			)


			->append(\App\Mvc\View\Utils\RowOptions\Option\Option::create("refilter")
				->setDescription($this->lang['index']['options']['buttons']['refilter'])
				->setIcon('filter')
				->setJsCallback('MVC.listing.installedHandlers.listing.refilterSelectedItems(this)')
				->setSection('bulk')
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Option::create("markDuplicate")
				->setDescription($this->lang['index']['options']['buttons']['markDuplicate'])
				->setIcon("merge")
				->setSection('bulk')
				->setJsCallback('MVC.listing.installedHandlers.listing.markDuplicate(this)')
			)


			->append(\App\Mvc\View\Utils\RowOptions\Option\Option::create("setMainItem")
				->setDescription($this->lang['index']['options']['buttons']['setMainItem'])
				->setIcon('moveToTop')
				->setJsCallback('MVC.listing.installedHandlers.listing.setMainItem(this)')
			)
		;
	}
}
